body{
    margin: 0;
    padding: 0;
}

#bg.normal_bg{
    background-color: #FFB8E0;
    color: aliceblue;
    margin: 0;
    padding-top: 10px;
    padding-bottom: 10px;
    transition: background-color 0.5s, color 0.5s;
    min-height: 100vh;
    height: auto;
}

#bg.secret_bg{
    background-color: #dabfff;
    color:  cornsilk;
    margin: 0;
    padding-top: 10px;
    padding-bottom: 10px;
    transition: background-color 0.5s, color 0.5s;
    min-height: 100vh;
    height: auto;
}

#bg.normal_bg_choosen{
    background-color: #FFB8E0;
    color: aliceblue;
    margin: 0;
    padding-top: 10px;
    padding-bottom: 10px;
    min-height: 100vh;
    height: auto;
}

p{
    margin: 0;
    padding: 0;
}

#backlink{
    text-decoration: none;
    color: aliceblue;
}

.backgroundblock{

    background-color: #EC7FA9;
    width: 1040px;
    height: auto;
    margin-left: auto;
    margin-right: auto;
    padding: 40px 80px;
    transition: background-color 1.5s;

}

.backgroundblocks{

    background-color: #4f518cff;
    width: 1040px;
    height: auto;
    margin-left: auto;
    margin-right: auto;
    padding: 40px 80px;
    transition: background-color 1.5s;

}

#backgroundblock_choosen{

    background-color: #EC7FA9;
    width: 1000px;
    height: auto;
    margin-bottom: 10px;
    margin-top: 10px;
    margin-left: auto;
    margin-right: auto;
    padding: 40px 80px;
    border: 5px solid #BE5985;

}

#welcomemessage{

    font-size: 200%;
    text-align: center;
    padding-bottom: 20px;

}

#bookmark_container{
    position: relative;
}

.bookmarkunset{

    position: absolute;
    bottom: 0;
    background-color: #BE5985;
    min-width: 40px;
    height: 15px;
    padding: 5px;
    text-align: center;
    border-right: 5px solid #FFB8E0;
    transition: height 0.5s, background-color 0.5s, color 0.5s, border-right 0.5s;

}

.bookmarkset{

    position: absolute;
    bottom: 0;
    background-color: #be4c7e;
    min-width: 40px;
    height: 20px;
    padding: 5px;
    text-align: center;
    border-right: 5px solid #ffa6d8;
    cursor: pointer;

}

.bookmarkunset:hover{

    height: 20px;
    background-color: #be4c7e;
    border-right: 5px solid #ffa6d8;
    cursor: pointer;

}

.bookmarkunsets{

    position: absolute;
    bottom: 0;
    background-color: #33314d;
    min-width: 40px;
    height: 15px;
    padding: 5px;
    text-align: center;
    border-right: 5px solid #9a89d3;
    transition: height 0.5s, background-color 0.5s, color 0.5s, border-right 0.5s;

}

.bookmarksets{

    position: absolute;
    bottom: 0;
    background-color: #2c2a4a;
    min-width: 40px;
    height: 20px;
    padding: 5px;
    text-align: center;
    border-right: 5px solid #907ad6;
    cursor: pointer;

}

.bookmarkunsets:hover{

    height: 20px;
    background-color: #2c2a4a;
    border-right: 5px solid #907ad6;
    cursor: pointer;

}

main{

    padding: 0 60px;

}

#mainpage{

    display: block;

}

#mainpage header{

    font-size: 50px;
    padding: 20px 0;
    text-align: center;

}

.blogpost{

    position: relative;
    margin-top: 50px;

}

#mainpage .blogpost img.art{

    max-height: 500px;
    max-width: 630px;

}

.blogpost_choosen{

    position: relative;
    margin-top: 20px;
    text-align: center;
    font-size: 30px;

}

.blogpost_choosen p{
    width: 500px;
    margin-left: auto;
    margin-right: auto;
}

#mainpage .blogpost_choosen img.art{

    max-height: 1000px;
    max-width: 1000px;
    min-width: 500px;
    min-height: 500px;

}

#mainpage .blogpost img.art:hover{

    cursor: pointer;

}

#mainpage .blogpost img.clickme{

    width: 100px;
    height: 100px;  
    position: absolute;
    top: 0;
    left: 15px;

}

.line{

    width: 100%;
    height: 1px;
    border-bottom: 3px dashed #BE5985;
    margin-top: 30px;
    transition: border-bottom 1.5s;

}

.lines{

    width: 100%;
    height: 1px;
    border-bottom: 3px dashed #2c2a4a;
    margin-top: 30px;
    transition: border-bottom 1.5s;

}

#biopage{

    display: none;

}

#secretpage{
    display: none;
}

#secretpage header{

    font-size: 50px;
    padding: 20px 0;

}

#secretpage .blogposts img.arts{

    max-height: 500px;
    max-width: 630px;

}

#secretpage .blogposts img.arts:hover{

    cursor: pointer;

}

#secretpage .blogposts img.clickme{

    width: 100px;
    height: 100px;  
    position: absolute;
    top: 0;
    left: 15px;

}

.blogposts{

    position: relative;
    margin-top: 50px;

}

.normal{
    font-size: 25px;
    color: #b43b70;
    border: 5px solid #be4c7e;
    text-align: center;
    padding: 20px 0;
    background-color: #FFB8E0;
    transition: background-color 1.5s, color 1.5s, border 1.5s;
}

.secret{
    font-size: 25px;
    color: #2c2a4a;
    border: 5px solid #2c2a4a;
    text-align: center;
    padding: 20px 0;
    background-color: #907ad6;
    transition: background-color 1.5s, color 1.5s, border 1.5s;
}

/* pallete for secret

--mauve: #dabfffff;
--soft-periwinkle: #907ad6ff;
--dusty-grape: #4f518cff;
--space-indigo: #2c2a4aff;

*/

#albumpage{

    display: none;

}

#album{

    display: block;

}

#album img{

    max-width: 250px;
    max-height: 250px;

}

.blogtext{
    max-height: 190px;
    width: 620px;
    padding: 5px;
    margin-left: auto;
    margin-right: auto;
    /*background-color: #FFEDFA; for debug*/
    text-align: left;
    overflow: hidden;
}

.blogtext_expanded{
    height: auto;
    width: 620px;
    padding: 5px;
    margin-left: auto;
    margin-right: auto;
    /*background-color: #FFEDFA; for debug*/
    text-align: left;
}

.blogtexts{
    max-height: 190px;
    width: 620px;
    padding: 5px;
    margin-left: auto;
    margin-right: auto;
    /*background-color: #FFEDFA; for debug*/
    text-align: left;
    overflow: hidden;
}

.blogtexts_expanded{
    height: auto;
    width: 620px;
    padding: 5px;
    margin-left: auto;
    margin-right: auto;
    /*background-color: #FFEDFA; for debug*/
    text-align: left;
}

.expandtext{

    display: none;
    height: auto;
    width: 180px;
    padding-top: 10px;
    margin-left: auto;
    margin-right: auto;

}

.expandtext:hover{

    cursor: pointer;

}

.expandtexts{

    display: none;
    height: auto;
    width: 180px;
    padding-top: 10px;
    margin-left: auto;
    margin-right: auto;

}

.expandtexts:hover{

    cursor: pointer;

}

#song_title{

    height: 30px;
    width: 300px;
    font-size: 30px;
    padding: 10px;
    letter-spacing: 2px;
    margin-left: auto;
    margin-right: auto;
    overflow: hidden;

}

#mask1{
    mask-image: linear-gradient(90deg, #000 95%, transparent);
}

#mask2{
    mask-image: linear-gradient(270deg, #000 98%, transparent);
}

#moveable_title{
    position: relative;
    min-width: 300px;
    text-wrap-mode: nowrap;
    width: fit-content;
}

#moveable_title_br{
    position: relative;
    min-width: 300px;
    text-wrap-mode: nowrap;
    width: fit-content;
    margin-left: 160px;
}

#audio_settings{
    width: 400px;
    background-color: #FFEDFA;
    border-radius: 10px;
    margin-left: auto;
    margin-right: auto;
    color: #b43b70;
}

#audio_settings p{
    float: left;
}

.clickable{
    padding-left: 20px;
    font-size: 20px;
}

.timer{
    font-size: 20px;
}

#audio_time{
    padding-left: 10px;
}

.clickable:hover{
    cursor: pointer;
}

#container_for_titles{
    width: 1920px;
    height: 30px;
}
